## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libtree-ldd
Version:        3.1.1
Release:        %autorelease
Summary:        Like ldd but as a tree


License:        MIT
URL:            https://github.com/haampie/libtree
Source0:        %{url}/archive/v%{version}/libtree-%{version}.tar.gz
Patch0: libtree-ldd-c99.patch

BuildRequires:  gcc
BuildRequires:  make

%description
A tool that:
- turns ldd into a tree
- explains why shared libraries are found and why not

%prep
%autosetup -p1 -n libtree-%{version}

%build
%set_build_flags
%make_build

%install
%make_install PREFIX="%{_prefix}"

%check
%ifarch i686 aarch64 s390x
# tests/05_32_bits fail after https://fedoraproject.org/wiki/Changes/glibc32_Build_Adjustments
rm -rf tests/05_32_bits
%endif
%make_build check

%files
%{_mandir}/man1/libtree.1*
%{_bindir}/libtree
%doc README.md
%license LICENSE

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Florian Weimer <fweimer@redhat.com> - 3.1.1-4
- Address C99 compatibility issues in test suite

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.1.1-2
- Skip test that fails on some archs

* Sat May 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.1.1-1
- Update to 3.1.1 - Closes rhbz#2086157

* Sat Mar 05 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.1.0-1
- Update to 3.1.0 - Closes rhbz#2061107

* Wed Feb 23 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.3-1
- Update to 3.0.3 - Closes rhbz#2057269

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.2-1
- Update to 3.0.2 - Closes rhbz#2040631

* Fri Jan 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.1-2
- Convert to rpmautospec

* Mon Dec 27 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.1-1
- Initial package - Fixes rhbz#2028272
